Bug 489916 - Default Gnome File manager mode
Default Gnome File manager mode
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nautilus (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Tomáš Bžatek
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 10:58 EDT by Taunus
Modified: 2015-03-03 17:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-23 05:37:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Taunus 2009-03-12 10:58:31 EDT
Description of problem:
If you browse through file system every doubleclick over folder opens a new window with the contents of that folder

Version-Release number of selected component (if applicable):
RHEL 5.3, Fedora 10

How reproducible:
Browse filesystem in Gnome

Steps to Reproduce:
1.
2.
3.
  
Actual results:
folder opens a new window

Expected results:
Folders open in existing window

Additional info:
If you click your way through the filesystem you soon have tens of windows open. I am filing this as a bug. I find this behaviour hmm... insane. Please change the default behaviour in future RHEL / Fedora releases so that browser mode is the default in file manager.

Here is a command that does it system wide in RHEL 5.3:
gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --type bool --set /apps/nautilus/preferences/always_use_browser true
Comment 2 Taunus 2010-04-23 03:13:27 EDT
In rhel 6 beta the default is still "millions of windows". If you are not going to do anything about this, then close the bug.
Comment 3 Tomáš Bžatek 2010-04-23 05:37:52 EDT
We try to stick with upstream which apparently has good reasons to keep spatial mode by default. Only recently the default mode has been changed upstream to browser mode as a preparation for transition to Gnome Shell and different philosophy in accessing files.

If you still think this should be changed, please contact Red Hat Technical Support first.

Note You need to log in before you can comment on or make changes to this bug.